1

I have followed the instructions provided here: https://www.torproject.org/docs/rpms.html.en However, when running yum install tor, i get the following dependency error:

Error: Package: tor-0.2.5.10-tor.2.rh7_0_1406.x86_64 (tor)
           Requires: libevent-2.0.so.5()(64bit)

I then proceed to installing libevent. For some reason, i do not get the right version from yum, so i have to download the libevent library from http://libevent.org/ and run the following:

./configure --prefix=/opt/libevent
make
make install

When i try to run yum install tor i still get the same dependency error. How can i tell yum where i have installed libevent? Or what's the issue here?

  • Could yum localinstall be what i am searching for here? – Mihai Raulea Oct 28 '14 at 23:53
0

You don't need to install it through yum. You can just download it from here: tor browser for linux

and then you just do:

tar xf tor-browser-linux64-*.tar.xz

After that you can just move it to /opt/tor-browser_en-US by:

sudo mv tor-browser_en-US /opt/tor-browser_en-US

Also, if you want to create a menu item for it, you can do:

sudo nano /usr/share/applications/start-tor-browser.desktop

and paste this:

[Desktop Entry] 
Version=1.0 
Type=Application
Name=Tor Browser
Exec=/opt/tor-browser_en-US/Browser/start-tor-browser
Terminal=false
GenericName=Web Browser
Comment=Tor Browser is +1 for privacy and -1 for mass surveillance
Categories=Network;WebBrowser;Security;
X-TorBrowser-ExecShell=./Browser/start-tor-browser --detach
Icon=/opt/tor-browser_en-US/Browser/browser/icons/mozicon128.png
StartupWMClass=Tor Browser

and save and close by:

Ctrl + O
Ctrl + X

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.